#game-screen, 
#game-screen  #bgctx, 
#game-screen  #rimctx, 
#game-screen  #ballctx, 
#game-screen  #dotsctx, 
#game-screen  #pause-overlay{
	position: absolute;
	top: 0;
	left: 0;
	font-size: 40px;
	width: 8em;
	height: 12em;
}

#game-screen  #msg{
	color: white;
	font-family: Arial;
	text-align: center;
	position: absolute;
	top:30%;
	width: 100%;
}

#game-screen  #pause-overlay{
	width: 100%;
	height: 100%;
	z-index: 20;
	background: rgba(0, 0, 0, 0.5);
	display: none;
}

#game-screen #pause-overlay button{
	font-size: 40px;
	width: 6em;
	height: 2em;
	position: absolute;
	top: 50%;
	left: 1em;
}

#game-screen  #bgctx{
	z-index: 0;
}

#game-screen  #rimctx{
	z-index: 1;
}

#game-screen  #dotsctx{
	z-index: 2;
}

#game-screen  #ballctx{
	z-index: 3;
}

#announcement{
	position: absolute;
	left: 0;
	top: 50%;
	margin-top: -0.5em;
	width: 100%;
	font-family: Arial;
	color: white;
	text-align: center;
	white-space: nowrap;
	z-index: 10;
	opacity: 0;
	cursor: default;
}

@-webkit-keyframes zoomfade{
	0%{
		opacity: 1;
		-webkit-transform: scale(0.5);
	}
	
	25%{
		opacity: 1;
	}
	
	100%{
		opacity: 0;
		-webkit-transform: scale(1.5);
	}
}

@-moz-keyframes zoomfade{
	0%{
		opacity: 1;
		-moz-transform: scale(0.5);
	}
	
	25%{
		opacity: 1;
	}
	
	100%{
		opacity: 0;
		-moz-transform: scale(1.5);
	}
}

.zoomfade{
	-webkit-animation-name: zoomfade;
	-webkit-animation-duration: 1s;
	-moz-animation-name: zoomfade;
	-moz-animation-duration: 1s;
}